import { styleText } from "util";
import config from "../config.js";

export default async function APICheck() {
  try {
    const req = await fetch(`${config.uwuzu.host}/api/me/`, {
      method: "POST",
      body: JSON.stringify({
        token: config.uwuzu.apiToken,
      }),
      cache: "no-store",
    });

    const res = await req.json();

    if (res.error_code !== undefined) {
      console.log(styleText("red", "APIトークンあるいはuwuzuサーバーホストが無効です"));
      process.exit();
    }

    if (res.isBot === false) {
      setTimeout(() => {
        console.log(styleText("yellow", "使用するアカウントでBOTフラグが設定されていません"));
      }, 1500);
    }
  } catch (err) {
    console.log(styleText("red", `uwuzuサーバーへ接続できませんでした: ${err}`));
    process.exit();
  }
}
